Description
Presenting the contents of a data package.

* Only data packages contain the metadata necessary for implementing faceted search, so in the faceted search folder, only data
packages are available.

A data package is exposed as a folder named as the PID.

Inside the data package folder, the contents of the package are exposed as files.

EML files can be exposed as HTML and transformed on the fly with XSLT.

Metadata is exposed as virtual files that pull information from the SOLR index.

For instance: abstract.txt, readme.txt, location.txt.

¢ Also possible to make Windows Explorer plugins that enable metadata to be rendered directly in file properties and Details view.
¢ |ocation.txt can contain a list of short paths to the files, exposed under a flat directory that does not list available files.

e Can recreate DataONE endpoints in filesystem. /object/pid, /meta/pid.

¢ Can have symlinks from the faceted search folder to the flat folder.

¢ Can expose data package as BagIT and zip formats.

History

#1 - 2012-10-24 23:44 - Roger Dahl
- Milestone set to None
- Project changed from Redmine Test to Infrastructure

- Parent task deleted (#3242)

#2 - 2012-10-24 23:46 - Roger Dahl
- Parent task set to #3242
- Category set to d1_client ONEDrive

#3 - 2014-08-14 20:41 - Roger Dahl

This ticket just contains ideas for how to best expose DataONE items in the ONEDrive filesystem. They can be taken into account when designing the
next version of ONEDrive.

#4 - 2014-08-29 19:41 - Roger Dahl
- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

This ticket was just to capture some ideas about how to display Resource Map information in ONEDrive. Looking through these, | found almost all of
them to already be implemented or only useful in the version of ONEDrive that used faceted searching. The remaining idea is just that we can offer
transformed views of data.
